package com.ruoyi.business.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 模版属性值对象 business_template_prop_value
 * 
 * @author ruoyi
 * @date 2024-03-31
 */
@Data
public class BusinessTemplatePropValue extends BaseEntity
{
    private static final long serialVersionUID = 1L;



    /** 字段id */
    @Excel(name = "字段id")
    private String propId;


    /** 字段名称 */
    @Excel(name = "字段名称")
    private String propName;


    /** 字段类型 */
    @Excel(name = "字段类型")
    private String propType;

    /** 值键 */
    @Excel(name = "值键")
    private String valueKey;


    /** 值描述 */
    @Excel(name = "值描述")
    private String valueText;


    /** 原值对象 */
    @Excel(name = "原值对象")
    private String valueSources;


    /** 试卷id */
    @Excel(name = "试卷id")
    private String surveyId;





    public void setPropId(String propId) 
    {
        this.propId = propId;
    }

    public String getPropId() 
    {
        return propId;
    }
    public void setPropName(String propName) 
    {
        this.propName = propName;
    }

    public String getPropName() 
    {
        return propName;
    }
    public void setValueKey(String valueKey) 
    {
        this.valueKey = valueKey;
    }

    public String getValueKey() 
    {
        return valueKey;
    }
    public void setValueText(String valueText) 
    {
        this.valueText = valueText;
    }

    public String getValueText() 
    {
        return valueText;
    }
    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("propId", getPropId())
            .append("propName", getPropName())
            .append("valueKey", getValueKey())
            .append("valueText", getValueText())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("deleted", getDeleted())
            .append("remark", getRemark())
            .toString();
    }
}
